apiVersion: broker.amq.io/v1beta1
kind: ActiveMQArtemis
metadata:
  creationTimestamp: '2022-04-19T12:49:06Z'
  generation: 7
  name: persistence
  namespace: e2e-tests-broker-framework-4nr2b
  resourceVersion: '10562581'
  uid: 858be736-8421-40be-a530-f8c4c78f6a4f
spec:
  acceptors:
    - expose: true
      name: amqp
      port: 5672
      protocols: amqp
      sniHost: localhost
      sslProvider: JDK
  addressSettings: {}
  adminPassword: admin
  adminUser: admin
  console:
    expose: true
  deploymentPlan:
    extraMounts: {}
    image: >-
      registry-proxy.engineering.redhat.com/rh-osbs/amq-broker-7-amq-broker-79-openshift-rhel8:7.9-18
    livenessProbe: {}
    messageMigration: true
    persistenceEnabled: true
    podSecurity: {}
    readinessProbe: {}
    resources: {}
    size: 1
    storage: {}
  upgrades:
    enabled: false
    minor: false

